Name:           perl-Panotools-Script
Version:        0.26
Release:        4%{?dist}
Summary:        Library for manipulating Hugin .pto files
License:        GPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Panotools-Script/
Source0:        http://search.cpan.org/CPAN/authors/id/B/BP/BPOSTLE/Panotools-Script-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(LWP::UserAgent) >= 5
BuildRequires:  perl(URI) >= 1
BuildRequires:  perl(Image::Size) >= 2.9
BuildRequires:  perl(Image::ExifTool) >= 6
Requires:       perl(LWP::UserAgent) >= 5
Requires:       perl(URI) >= 1
Requires:       perl(Image::Size) >= 2.9
Requires:       perl(Image::ExifTool) >= 6
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# added manually
Requires:       hugin-base libpano13-tools ImageMagick enblend zenity autotrace
BuildRequires:  perl(Test::More) desktop-file-utils

%description
Library and utilities for manipulating project files created by the Hugin photo
stitching software.

%prep
%setup -q -n Panotools-Script-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}
# added manually, we don't want these in the menu
rm desktop/enblend-svg.desktop
rm desktop/process-masks-gui.desktop
rm desktop/qtvr2erect-gui.desktop
rm desktop/tif2svg-gui.desktop

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# added manually, remove unwanted graphviz dependency
rm -f %{buildroot}/%{_bindir}/ptograph
rm -f %{buildroot}/%{_datadir}/man/man1/ptograph.*

# added manually
desktop-file-install --vendor="" \
  --dir=%{buildroot}/%{_datadir}/applications desktop/*.desktop

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

# added manually
%post
update-desktop-database &> /dev/null ||:

# added manually
%postun
update-desktop-database &> /dev/null ||:

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*
# added manually
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*

%changelog
* Tue Jan 31 2012 Bruno Postle - 0.26-4
- rebuild without ptograph

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.26-2
- Perl mass rebuild

* Tue Jun 14 2011 Bruno Postle - 0.26-1
- rebuild for upstream release (0.26)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 12 2011 Bruno Postle - 0.25-1
- rebuild for upstream release (0.25)

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.24-4
- 661697 rebuild for fixing problems with vendorach/lib

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.24-3
- Mass rebuild with perl-5.12.0

* Sat Jan 02 2010 Bruno Postle <bruno@postle.net> 0.24-2
- New upstream version

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.22-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 24 2009 Bruno Postle <bruno@postle.net> 0.22-1
- New upstream version

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Sep 19 2008 Bruno Postle <bruno@postle.net> 0.19-1
- New upstream version

* Thu Sep 11 2008 Bruno Postle <bruno@postle.net> 0.17-1
- New upstream version

* Tue Sep 02 2008 Bruno Postle <bruno@postle.net> 0.16-1
- New upstream version

* Sun Jul 06 2008 Bruno Postle <bruno@postle.net> 0.15-1
- New upstream version

* Thu Jun 12 2008 Bruno Postle <bruno@postle.net> 0.14-2
- Changes suggested by package review

* Mon Jun 09 2008 Bruno Postle <bruno@postle.net> 0.14-1
- Specfile autogenerated by cpanspec 1.75.
